fd_in = fopen('D:\code\platform_v2.1_20230829_jesd98g\public\test\testcase\case49\data\dl_ant_all.dat', 'r');
data_in = fscanf(fd_in, '%x', Inf);
fclose(fd_in);

size_datain = size(data_in);
ant0_data = data_in(1:(size_datain(1)/4));

fd_out=fopen('D:\code\platform_v2.1_20230829_jesd98g\public\test\testcase\case49\data\dl_ant0.dat', 'w+');
for i=1:1:(size_datain(1)/4)
    fprintf(fd_out, '0x%08x\n', ant0_data(i));
end
fclose(fd_out);

fd_out=fopen('D:\code\platform_v2.1_20230829_jesd98g\public\test\testcase\case49\data\dl_ant0_preSymbol.dat', 'w+');
for i=1:1:61504
    fprintf(fd_out, '0x%08x\n', ant0_data(i));
end
fclose(fd_out);

fd_out=fopen('D:\code\platform_v2.1_20230829_jesd98g\public\test\testcase\case49\data\dl_ant0_postSymbol.dat', 'w+');
for i=1:1:61376
    fprintf(fd_out, '0x%08x\n', ant0_data(61504+i));
end
fclose(fd_out);